Subject: bug#24857: emacs24/25 FTBFS since a long time on GNU/Hurd

From: Eli Zaretskii <[email-masked]>
Date: Fri, 11 Nov 2016 17:33:20 +0200

> From: Svante Signell <[email-masked]>
> Cc: [email-masked], [email-masked]
> Date: Fri, 11 Nov 2016 16:04:45 +0100
> 
> > I do wonder what happened in 24.5 that Emacs became unbuildable on
> > Hurd.  Can you still build 24.4 on your current system?  If so,
> > perhaps look at the diffs between unexelf.c in 24.4 and the current
> > version, and try to figure out what changes there cause the failure on
> > Hurd.
> 
> Now even older versions FTBFS, like the one that built earlier: 2.24-5. It might
> have to do with libc versions:
> emacs 2.24-5 was successfully built with glibc 2.19
> emacs 2.24-6 was FTBFS with glibc 2.22
> Now we are at glibc 2.24.
> 
> All older versions I've tried gets Killed when dumping temacs.
> e.g. emacs24.5-5:
> /bin/bash: line 7: 29388 Killed                  ./temacs --batch --load loadup
> bootstrap

That's what I thought.

Can you compare src/config.h from the old builds and the current ones?

Any idea what change(s) in glibc caused this?